RSS automations
GET https://pulse.pylogix.com/api/rss-automations/
curl --request GET \
--url 'https://pulse.pylogix.com/api/rss-automations/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pulse.pylogix.com/api/rss-automations/' \
--header 'Authorization: Bearer {api_key}' \
| Request Parameters | Details | Description |
|---|---|---|
| page | Optional Parameter Integer (Number) | Page Number |
| results_per_page | Optional Parameter Integer (Number) | Results per Page |
{
"data": [
{
"id": 1,
"user_id": 1,
"website_id": 1,
"rss_url": "https://example.com/feex.xml",
"name": "API Sample",
"title": "Sample message",
"description": "This is coming from the API.",
"url": "https://example.com",
"image_url": null,
"settings": {
"ttl": 2419200,
"urgency": "normal",
"is_silent": 0,
"is_auto_hide": 0,
"button_title_1": "",
"button_url_1": "",
"button_title_2": "",
"button_url_2": "",
"check_interval_seconds": 60,
"items_count": 3,
"campaigns_delay": 15
},
"segment": "all",
"is_enabled": true,
"total_sent_push_notifications": 0,
"total_displayed_push_notifications": 0,
"total_clicked_push_notifications": 0,
"total_closed_push_notifications": 0,
"last_sent_datetime": null,
"last_datetime": null,
"datetime": "2026-11-09 18:15:46"
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://pulse.pylogix.com/api/rss-automations?&page=1",
"last": "https://pulse.pylogix.com/api/rss-automations?&page=1",
"next": null,
"prev": null,
"self": "https://pulse.pylogix.com/api/rss-automations?&page=1"
}
}
GET https://pulse.pylogix.com/api/rss-automations/{rss_automation_id}
curl --request GET \
--url 'https://pulse.pylogix.com/api/rss-automations/{rss_automation_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pulse.pylogix.com/api/rss-automations/{rss_automation_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"website_id": 1,
"rss_url": "https://example.com/feex.xml",
"name": "API Sample",
"title": "Sample message",
"description": "This is coming from the API.",
"url": "https://example.com",
"image_url": null,
"settings": {
"ttl": 2419200,
"urgency": "normal",
"is_silent": 0,
"is_auto_hide": 0,
"button_title_1": "",
"button_url_1": "",
"button_title_2": "",
"button_url_2": "",
"check_interval_seconds": 60,
"items_count": 3,
"campaigns_delay": 15
},
"segment": "all",
"is_enabled": true,
"total_sent_push_notifications": 0,
"total_displayed_push_notifications": 0,
"total_clicked_push_notifications": 0,
"total_closed_push_notifications": 0,
"last_sent_datetime": null,
"last_datetime": null,
"datetime": "2026-11-09 18:15:46"
}
}
POST https://pulse.pylogix.com/api/rss-automations
| Request Parameters | Details | Description |
|---|---|---|
| website_id | Required Parameter Integer (Number) | - |
| rss_url | Optional Parameter Text (String) | - |
| name | Required Parameter Text (String) | - |
| title | Required Parameter Text (String) | - |
| description | Required Parameter Text (String) | - |
| url | Optional Parameter Text (String) | - |
| image | Optional Parameter File Upload | - |
| button_title_1 | Optional Parameter Text (String) | - |
| button_url_1 | Optional Parameter Text (String) | - |
| button_title_2 | Optional Parameter Text (String) | - |
| button_url_2 | Optional Parameter Text (String) | - |
| is_silent | Optional Parameter Boolean (True/False) | - |
| is_auto_hide | Optional Parameter Boolean (True/False) | - |
| ttl | Optional Parameter Text (String) | Allowed values: |
| utm_source | Optional Parameter Text (String) | - |
| utm_medium | Optional Parameter Text (String) | - |
| utm_campaign | Optional Parameter Text (String) | - |
| check_interval_seconds | Optional Parameter Text (String) | Allowed values: (seconds) |
| items_count | Optional Parameter Text (String) | Allowed values: |
| campaigns_delay | Optional Parameter Text (String) | Allowed values: |
| is_enabled | Optional Parameter Boolean (True/False) | - |
curl --request POST \
--url 'https://pulse.pylogix.com/api/rss-automations' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
--form 'rss_url=https://example.com/feed.xml' \
--url 'https://pulse.pylogix.com/api/rss-automations' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
--form 'rss_url=https://example.com/feed.xml' \
{
"data": {
"id": 1
}
}
POST https://pulse.pylogix.com/api/rss-automations/{rss_automation_id}
| Request Parameters | Details | Description |
|---|---|---|
| website_id | Optional Parameter Integer (Number) | - |
| rss_url | Optional Parameter Text (String) | - |
| name | Optional Parameter Text (String) | - |
| title | Optional Parameter Text (String) | - |
| description | Optional Parameter Text (String) | - |
| url | Optional Parameter Text (String) | - |
| image | Optional Parameter File Upload | - |
| button_title_1 | Optional Parameter Text (String) | - |
| button_url_1 | Optional Parameter Text (String) | - |
| button_title_2 | Optional Parameter Text (String) | - |
| button_url_2 | Optional Parameter Text (String) | - |
| is_silent | Optional Parameter Boolean (True/False) | - |
| is_auto_hide | Optional Parameter Boolean (True/False) | - |
| ttl | Optional Parameter Text (String) | Allowed values: |
| utm_source | Optional Parameter Text (String) | - |
| utm_medium | Optional Parameter Text (String) | - |
| utm_campaign | Optional Parameter Text (String) | - |
| check_interval_seconds | Optional Parameter Text (String) | Allowed values: (seconds) |
| items_count | Optional Parameter Text (String) | Allowed values: |
| campaigns_delay | Optional Parameter Text (String) | Allowed values: |
| is_enabled | Optional Parameter Boolean (True/False) | - |
curl --request POST \
--url 'https://pulse.pylogix.com/api/rss-automations/{rss_automation_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
--form 'rss_url=https://example.com/feed.xml' \
--url 'https://pulse.pylogix.com/api/rss-automations/{rss_automation_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
--form 'rss_url=https://example.com/feed.xml' \
{
"data": {
"id": 1
}
}
DELETE https://pulse.pylogix.com/api/rss-automations/{rss_automation_id}
curl --request DELETE \
--url 'https://pulse.pylogix.com/api/rss-automations/{rss_automation_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pulse.pylogix.com/api/rss-automations/{rss_automation_id}' \
--header 'Authorization: Bearer {api_key}' \